#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,M,MAXSRECA=0,br=1,ind=0;
    scanf("%i %i",&N,&M);
    int a[N+1],b[M][2],sreca[N];

    for(int i=1;i<=N;i++){
        scanf("%i",&a[i]);
        if(ind == 0)
            if(a[i]<0)
                ind = 1;
        sreca[i]=0;
    }

    for(int i=0;i<M;i++)
        for(int j=0;j<2;j++)
            scanf("%i",&b[i][j]);

    for(br=1;br<=N;br++)
        for(int i=0;i<M;i++)
            for(int j=0;j<2;j++)
                if(b[i][j] == br)
                    sreca[br]++;

    if(ind == 0){
        for(int i=1;i<=N;i++)
                MAXSRECA+=a[i]*sreca[i];
    }
    else if(ind == 1){
        for(int i=1;i<=N;i++)
                MAXSRECA+=a[i]*(0-sreca[i]);
    }

    printf("%i",MAXSRECA);

    return 0;
}